<?php

namespace HCM\Geral\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use HCM\Util\DateUtil;

class GpesiteventoEntity extends TkEntity
{
    public function __construct($entityManager, $hcmParameters){
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        parent::__construct(null,$entityManager);
    }

    public function inicializaLista($data_competencia){
        $tmp = $this->entityManager->getRepository(Repositories::GPE_SITEVENTO)->retornaSitEvento($data_competencia);
        foreach ($tmp as $tmp_sitevento) {
            $this->addItem($tmp_sitevento, $tmp_sitevento->getNrsitevento());
        }
    }

    public function retornaEvento($nr_situacao, $data_competencia){
        $nr_eventos = array();
        $itens = $this->getItems();
        if (empty($itens) === true) {
            $this->inicializaLista($data_competencia);
            $itens = $this->getItems();
        }
        foreach ($itens as $item) {
            if ($item->getNrsitufuncm() == $nr_situacao) {
                $nr_eventos[$item->getNreventom()] = $item->getNreventom();
            }
        }
        return $nr_eventos;
    }

}